Problems with JetGroovy 1.0.13834

Hi,

I have problems running Grails within IDEA 7.0.2 since a JetGroovy update
(JetGroovy 1.0.13834 / Grails 1.0-final-SNAPSHOT).
It seems that all of my services cannot be initialized. I get something like ...

'Nested in org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'pluginManager' defined in ServletContext resource : Invocation of init method failed; nested exception is java.lang.NoClassDefFoundError:'.

I did not changed anything. I just made a update to the newer JetGroovy Version. Does anybody have the same problem? When I look into the 'applicationContext' there are some beans in red which means 'cannot resolve' e.g.
value="/WEB-INF/grails.xml" Why is that?

BTW, When I run Grails via cmd everything works fine, so I assume that it is an IDEA problem. Any help is appreciated.

Thanks
agrailsuser

3 comments
Comment actions Permalink

Hi there,

if it helps... I created a completely new project within IDEA and I was not able to run it. I got the following exception in IDEA, see attached file. If I try to run this project in the command line it also fails. Is this already known or am I the only one who has this prob? Is there anything I can check?

Greets
agrailsuser



Attachment(s):
stacktrace.log
0
Comment actions Permalink

I believe this problem has nothing to do with JetGroovy plugin. You should ask at grails user mailing list.

Eugene.

0
Comment actions Permalink

You're right, thanks. I've found the issue in the bug tracker.
See: http://jira.codehaus.org/browse/GRAILS-2207

0

Please sign in to leave a comment.